Retrieve Creative Preview Image for each AdUnit

Retrieve preview for a specific adUnit of a creative. The preview may not be available for creatives produced by Walmart or cloned from a creative that was produced by Walmart.

Note: You can download the preview image for each adUnit once the "response" in preview status is COMPLETED

📘

URL: POST/api/v1/creatives/:creativeId/preview/:adUnitName

Path Parameters

ParameterDescriptionTypeRequiredPossible Values
creativeIdThe ID of the creativestringYA valid creative ID
adUnitNamename of ad unitstringY
  • For Banner (Static Display) Creatives:
    • marqueeDesktop, marqueeApp, skylineDesktop, skylineApp, skylineDesktopV2, skylineAppV2, skylineDesktopV3, skylineAppV3, brandboxDesktop, brandboxApp, galleryDesktop, galleryApp, tileDesktop, tileApp, galleryDWebMini, marqueeTablet
  • For Display Video Creatives:
    • brandboxAppVideo, brandboxDesktopVideo,checkInVideo

Request Parameters

ParameterDescriptionTypeRequiredPossible Values
advertiserIdThe ID of the specific advertiserintegerYA valid advertiser ID
typestate of preview for a creativestringY
  • refreshed – to generate the preview for the creative, that was compiled most recently.
  • submitted – to generate the preview for the creative that was last submitted for approval
  • approved – preview of the last moderated version of the creative, The creative may be approved or rejected
badgeTypeIf badgeType is specified, the preview will render the corresponding badge, provided that the account has rollback badge enabled and the ad unit supports badge rendering.

If badgeType is not included, the preview will omit the badge entirely.
enumNValues:
  • ROLLBACK
  • ROLLBACKS_AND_MORE
  • ROLLBACK_WITH_PRICE
  • PRICE
  • EXPRESS_DELIVERY

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
Content-TypeFormat of the message bodyYapplication/json
WM_CONSUMER.IDUnique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATURESignature for authenticationYUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONKey version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value

Sample Request

curl -X POST 'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/aaaa3333-aa33-aa33-aa33-aaaaaa333333/preview/marqueeDesktop' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>'
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '{ "advertiserId": 00000000, "type": "refreshed", "badgeType":"ROLLBACK" }' \
--output filename.jpg 

Response:

jpeg image file of screenshot for ad unit will be returned


Creative Submission and Status Generation

  1. Submit Creative
    URL: POST/api/v1/creatives/ submit
  2. Retrieve Creative Submission Status
    URL: POST/api/v1/creatives/submit/status